%define oname  vobject

Name:          python-%{oname}
Version:       0.9.3
Release:       %mkrel 1
Summary:       A python library for manipulating vCard and vCalendar files
Group:         Development/Python
License:       ASL 2.0
Url:           http://eventable.github.io/vobject/
Source0:       https://pypi.io/packages/source/v/%{oname}/%{oname}-%{version}.tar.gz
BuildRequires: pkgconfig(python2)
BuildRequires: pythonegg(2)(setuptools)
BuildRequires: pythonegg(2)(python-dateutil)
Requires:      pythonegg(2)(setuptools)

BuildArch:     noarch

%description
VObject is intended to be a full featured python library for parsing and
generating vCard and vCalendar files.

%package -n    python3-%{oname}
Summary:       A python 3 library for manipulating vCard and vCalendar files
Group:         Development/Python
BuildArch:     noarch
BuildRequires: pkgconfig(python3)
BuildRequires: pythonegg(3)(setuptools)
BuildRequires: pythonegg(3)(python-dateutil)
Requires:      pythonegg(3)(setuptools)

%description -n python3-%{oname}
VObject is intended to be a full featured python 3 library for parsing and
generating vCard and vCalendar files.

%prep
%setup -q -n %{oname}-%{version}

# Remove bundled egg-info
rm -rf %{oname}.egg-info

# do not restrict version of python-dateutil
sed -i -e "s|'python-dateutil == 2.4.0'|'python-dateutil >= 2.4.0'|" setup.py

%build
%py2_build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/change_tz %{buildroot}%{_bindir}/python3-change_tz
mv %{buildroot}%{_bindir}/ics_diff %{buildroot}%{_bindir}/python3-ics_diff

%py2_install

%files
%doc README.md
%{_bindir}/change_tz
%{_bindir}/ics_diff
%{python2_sitelib}/*

%files -n python3-%{oname}
%doc README.md
%{_bindir}/python3-change_tz
%{_bindir}/python3-ics_diff
%{python3_sitelib}/*


%changelog
* Tue Jan 03 2017 daviddavid <daviddavid> 0.9.3-1.mga6
+ Revision: 1079834
- new version: 0.9.3

* Mon Mar 14 2016 daviddavid <daviddavid> 0.9.2-1.mga6
+ Revision: 990589
- new version: 0.9.2

* Fri Mar 04 2016 daviddavid <daviddavid> 0.9.1-1.mga6
+ Revision: 985447
- new version: 0.9.1

* Sun Feb 14 2016 daviddavid <daviddavid> 0.9.0-2.mga6
+ Revision: 959964
- add back python(3)-setuptools as requires

* Sun Feb 14 2016 daviddavid <daviddavid> 0.9.0-1.mga6
+ Revision: 959959
- new version: 0.9.0
- add python3 package
- use new python macros
- update URL and Source URL
- do not restrict version of python-dateutil
- remove obsolete patch

* Mon Feb 08 2016 umeabot <umeabot> 0.8.1c-10.mga6
+ Revision: 947763
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1c-9.mga5
+ Revision: 747302
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.1c-8.mga5
+ Revision: 729962
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1c-7.mga5
+ Revision: 688409
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8.1c-5.mga4
+ Revision: 544560
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8.1c-4.mga4
+ Revision: 499711
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.8.1c-3.mga3
+ Revision: 379675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 18 2011 philippem <philippem> 0.8.1c-2.mga2
+ Revision: 168931
- Add python-setuptools as requires since it is needed for the ics_diff script

* Sun Nov 06 2011 gil <gil> 0.8.1c-1.mga2
+ Revision: 164006
- imported package python-vobject

